Bug 741156 - SELinux is preventing /usr/bin/openconnect from 'getattr' accesses on the unix_stream_socket unix_stream_socket.
Summary: SELinux is preventing /usr/bin/openconnect from 'getattr' accesses on the uni...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f68e44fb29c55ab078d36d74771...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 04:16 UTC by James Cape
Modified: 2011-11-23 14:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-23 14:51:57 UTC


Attachments (Terms of Use)

Description James Cape 2011-09-26 04:16:46 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-0.rc6.git0.3.fc16.x86_64
reason:         SELinux is preventing /usr/bin/openconnect from 'getattr' accesses on the unix_stream_socket unix_stream_socket.
time:           Sun Sep 25 23:16:35 2011

description:
:SELinux is preventing /usr/bin/openconnect from 'getattr' accesses on the unix_stream_socket unix_stream_socket.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that openconnect should be allowed getattr access on the unix_stream_socket unix_stream_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep openconnect /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:vpnc_t:s0
:Target Context                system_u:system_r:init_t:s0
:Target Objects                unix_stream_socket [ unix_stream_socket ]
:Source                        openconnect
:Source Path                   /usr/bin/openconnect
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           openconnect-3.11-1.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-32.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux orwell.ignore-your.tv
:                              3.1.0-0.rc6.git0.3.fc16.x86_64 #1 SMP Fri Sep 16
:                              12:26:22 UTC 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sun 25 Sep 2011 10:55:39 PM CDT
:Last Seen                     Sun 25 Sep 2011 10:55:39 PM CDT
:Local ID                      02911ea0-b5cf-472f-ac36-30fc4af12609
:
:Raw Audit Messages
:type=AVC msg=audit(1317009339.640:83): avc:  denied  { getattr } for  pid=2884 comm="openconnect" path="socket:[14297]" dev=sockfs ino=14297 scontext=system_u:system_r:vpnc_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=unix_stream_socket
:
:
:type=SYSCALL msg=audit(1317009339.640:83): arch=x86_64 syscall=fstat success=yes exit=0 a0=7 a1=7fffc42a0670 a2=7fffc42a0670 a3=7fffc42a0640 items=0 ppid=2791 pid=2884 auid=4294967295 uid=995 gid=0 euid=995 suid=995 fsuid=995 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=openconnect exe=/usr/bin/openconnect subj=system_u:system_r:vpnc_t:s0 key=(null)
:
:Hash: openconnect,vpnc_t,init_t,unix_stream_socket,getattr
:
:audit2allow
:
:#============= vpnc_t ==============
:allow vpnc_t init_t:unix_stream_socket getattr;
:
:audit2allow -R
:
:#============= vpnc_t ==============
:allow vpnc_t init_t:unix_stream_socket getattr;
:

Comment 1 Miroslav Grepl 2011-09-26 07:11:42 UTC
We have dontaudit this for daemons. Does openconnect work for you in enforcing mode?


Note You need to log in before you can comment on or make changes to this bug.